Page 1 of 1

instantaneous radius for transition curves every 1 meter

PostPosted: Mon Sep 03, 2018 12:15 pm
by achilles194
Dear All

I am using AutoCAD civil 3D . I need a lisp which create a report (txt or excel) for instantaneous radius of horizontal alignment for every 1 meter station. (for the straight element it can write "infinity" to the report)

For example i have below lisp. It is working, but it should be modify Because we have to enter station manually to this lisp. I need every 1 meter station (chainage) instantaneous radius of curves/clotoid which is shown in the report when i click to my alignment.

Thanks for your help.


(defun c:go (/ sta instrad algn)
(vl-load-com)


(setq algn (vlax-ename->vla-object (car (entsel "nSelect Alignment: "))))



(while (not (= (vlax-get-property algn 'ObjectName) "AeccDbAlignment"))
(setq algn (vlax-ename->vla-object (car (entsel "nSelect Alignment: "))))
)
(while (setq sta (getreal "nEnter station: "))
(setq instrad (vlax-get-property algn 'InstantaneousRadius sta))
(prompt (strcat "nRadius at station " (rtos sta 2 2) " is " (rtos instrad 2 2)))
)
(princ)
)

Re: instantaneous radius for transition curves every 1 meter

PostPosted: Thu Sep 06, 2018 4:31 am
by pjstirling
AutoCAD questions bbelong in "other dialects". Common-Lisp is not a catch-all